import java.util.Scanner;

public class Aplicar {

	public static void main(String[] args) {
		Scanner x = new Scanner(System.in);
		
		System.out.print("Dame un numero: ");
		int a = x.nextInt();
		FinalStatic.tabla(a);
		System.out.println(FinalStatic.MAX);
		System.out.println("El factorial de "+a+" es "+FinalStatic.fact(a));
		//System.out.println(a+"! = "+FinalStatic.fact(a));
		
		FinalStatic ob = new FinalStatic(a);
		ob.digitos();
		
		//System.out.println("Recursivo:");
		//FinalStatic.digitosRec(a);
		
		HijaFinal ob2 = new HijaFinal(a);
		ob2.cuadrado();
		
		x.close();
	}

}
